Skip to main content
GET
/
v1
/
chatting
/
{chatbotId}
/
thread
/
{threadId}
Get Thread Details
curl --request GET \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatting/{chatbotId}/thread/{threadId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "thread": {
      "id": "<string>",
      "chatbotId": "<string>",
      "visitorId": "<string>",
      "anonymous": true,
      "unreadMessagesCount": 123,
      "webhookUrl": "<string>",
      "webhookToken": "<string>",
      "escalated": true,
      "important": true,
      "resolved": true,
      "archived": true,
      "tags": [
        "<string>"
      ],
      "positiveCount": 123,
      "negativeCount": 123,
      "internalNotes": "<string>",
      "platformSource": "<string>",
      "startedAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "endedAt": "2023-11-07T05:31:56Z",
      "visitorName": "<string>",
      "visitorEmail": "<string>",
      "visitorPhoneNumber": "<string>",
      "visitorIsIdentified": true,
      "visitorTotalSessions": 123,
      "visitorTotalMessages": 123,
      "visitorFirstSeenAt": "2023-11-07T05:31:56Z",
      "visitorLastSeenAt": "2023-11-07T05:31:56Z"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

threadId
string
required
Example:

"abc-thread-uuid"

Response

Success

success
boolean
Example:

true

data
object